package arraybasedDS;

/**
 * @author Luca Castelli Aleardi
 * This interface provides all main methods supported by the winged edge data structure
 */
public interface WingededgeInterface extends TriangulationInterface {
	
	public int getLeftFront(int e);
	public int getRightFront(int e);
	public int getLeftBack(int e);
	public int getRightBack(int e);

	public int sizeOfEdges();

	/** 
	 * Check whether edge e is outgoing from vertex v
	 **/
	public boolean isOutgoing(int e, int v);


}
